Summary: Setup D0 Desktop for NIS
Name: fermi-d0-nis
Version: 1.0
Release: 4
Copyright: FermiLab
Group: Fermi/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh, ypbind, portmap, chkconfig
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description

Setup the D0 desktop to use NIS

#%prep

#%build

%install

#echo $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## yp.conf

if [ -e /etc/yp.conf ]; then
	/bin/cp -f /etc/yp.conf /etc/yp.conf.d0sav
	/bin/chmod -f 644 /etc/yp.conf.d0sav
	/bin/chown -f root.root /etc/yp.conf.d0sav
fi

/bin/cat <<EOF >>/etc/yp.conf
domain d0sgicluster server d0sgisrv1.fnal.gov
domain d0sgicluster server d0sgifm01.fnal.gov
domain d0sgicluster server d0sgifm06.fnal.gov
EOF

/bin/chmod -f 644 /etc/yp.conf
/bin/chown root.root /etc/yp.conf

## network

if [ -e /etc/sysconfig/network ]; then
	/bin/cp -f /etc/sysconfig/network /etc/sysconfig/network.d0sav
	/bin/chmod -f 644 /etc/sysconfig/network.d0sav
	/bin/chown -f root.root /etc/sysconfig/network.d0sav
fi

/bin/cat <<EOF >>/etc/sysconfig/network
NISDOMAIN=d0sgicluster
EOF

## Enable services

/sbin/chkconfig --level 35 portmap on
/sbin/chkconfig --level 35 ypbind on

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## yp.conf

if [ -e /etc/yp.conf.d0sav ]; then
	/bin/mv -f /etc/yp.conf.d0sav /etc/yp.conf
	/bin/chmod -f 644 /etc/yp.conf
	/bin/chown -f root.root /etc/yp.conf
fi

## network

if [ -e /etc/sysconfig/network.d0sav ]; then
	/bin/mv -f /etc/sysconfig/network.d0sav /etc/sysconfig/network
	/bin/chmod -f 644 /etc/sysconfig/network
	/bin/chown -f root.root /etc/sysconfig/network
fi

# Files owned by this package
%files

%defattr(-,root,root)
